(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     23595,        667]
NotebookOptionsPosition[     23089,        648]
NotebookOutlinePosition[     23469,        664]
CellTagsIndexPosition[     23426,        661]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Needs", "[", "\"\<VectorAnalysis`\>\"", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetCoordinates", "[", 
   RowBox[{"Cylindrical", "[", 
    RowBox[{"r", ",", "fi", ",", "z"}], "]"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cm", "=", "0.01"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Rho]", "=", "1000"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"c", "=", "4186."}], ";"}]}], "Input",
 CellChangeTimes->{{3.538919306453125*^9, 3.538919359828125*^9}, {
  3.538922131453125*^9, 3.538922132234375*^9}, {3.53896908721875*^9, 
  3.5389690878125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dataPraha", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"10", ",", 
       FractionBox["1", "35"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"50", ",", 
       FractionBox["1", "10"]}], "}"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"dataMB", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"20", ",", 
       FractionBox["1", "72"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"75", ",", 
       FractionBox["1", "30"]}], "}"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"gammaPraha", "[", "T_", "]"}], "=", 
    RowBox[{"Fit", "[", 
     RowBox[{"dataPraha", ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "T"}], "}"}], ",", "T"}], "]"}]}], ";"}], 
  "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"gammaMB", "[", "T_", "]"}], "=", 
   RowBox[{"Fit", "[", 
    RowBox[{"dataMB", ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "T"}], "}"}], ",", "T"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.5394205953125*^9, 3.539420657734375*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Praha: \!\(\*FractionBox[\(\[Gamma][100  \[Degree]C]\), \
\(\[Gamma][200  \[Degree]C]\)]\)= \>\"", ",", 
    FractionBox[
     RowBox[{"gammaPraha", "[", "100", "]"}], 
     RowBox[{"gammaPraha", "[", "20", "]"}]], ",", 
    "\"\<    MB: \!\(\*FractionBox[\(\[Gamma][100  \[Degree]C]\), \
\(\[Gamma][200  \[Degree]C]\)]\)= \>\"", ",", 
    RowBox[{"pMB", "=", 
     FractionBox[
      RowBox[{"gammaMB", "[", "100", "]"}], 
      RowBox[{"gammaMB", "[", "20", "]"}]]}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gammapom", "[", "T_", "]"}], ":=", 
   RowBox[{"124", "*", 
    FractionBox[
     SuperscriptBox["10", 
      RowBox[{"-", "6"}]], "cm"], "*", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"k", "*", 
       RowBox[{"(", 
        RowBox[{"T", "-", "20"}], ")"}]}]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kT", "=", 
   RowBox[{"k", "/.", 
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{
       FractionBox[
        RowBox[{"gammapom", "[", "100", "]"}], 
        RowBox[{"gammapom", "[", "20", "]"}]], "\[Equal]", "pMB"}], "]"}], 
     "[", 
     RowBox[{"[", "1", "]"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.53942061515625*^9, 3.539420617234375*^9}, {
  3.53942066990625*^9, 3.539420717828125*^9}, {3.539420804828125*^9, 
  3.539420887578125*^9}, {3.539420920421875*^9, 3.539421000203125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"vykon", "=", 
    RowBox[{"4", "*", 
     SuperscriptBox["10", "6"]}]}], ";", 
   RowBox[{"(*", 
    RowBox[{"zadani", " ", "pozadovaneho", " ", "vykonu", " ", "kotle"}], 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Tin", "=", "50"}], ";"}], 
  RowBox[{"(*", 
   RowBox[{"zadani", " ", "teploty", " ", "vstupni", " ", "vody"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Unom", "=", "6.3"}], ";", 
   RowBox[{"(*", 
    RowBox[{"sdruzene", " ", "napeti", " ", "v", " ", "kV"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"u", "=", 
    RowBox[{"Unom", "*", 
     FractionBox[
      SuperscriptBox["10", "3"], 
      SqrtBox["3."]]}]}], ";"}], 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"zadani", " ", "napeti"}], ",", " ", 
    RowBox[{"prepocet", " ", "na", " ", "fazove"}]}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"prutok", "=", "20"}], ";", 
  RowBox[{"(*", 
   RowBox[{
   "prutok", " ", "vody", " ", "v", " ", "litrech", " ", "za", " ", 
    "sekundu"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"gamma", "[", "T_", "]"}], ":=", 
   RowBox[{"124", "*", 
    FractionBox[
     SuperscriptBox["10", 
      RowBox[{"-", "6"}]], "cm"], "*", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"kT", "*", 
       RowBox[{"(", 
        RowBox[{"T", "-", "20"}], ")"}]}]}], ")"}]}]}], ";", 
  RowBox[{"(*", 
   RowBox[{
   "zadana", " ", "teplotni", " ", "zavislost", " ", "vodivosti", " ", 
    "vody"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"d1", "=", 
   RowBox[{"15", "cm"}]}], ";", 
  RowBox[{"(*", 
   RowBox[{"prumer", " ", "vnitrni", " ", "elektrody"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"d2", "=", 
   RowBox[{"40", "cm"}]}], ";", 
  RowBox[{"(*", 
   RowBox[{"prumer", " ", "vnejsi", " ", "elektrody"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"r1", "=", 
   RowBox[{"0.5", "d1"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"r2", "=", 
   RowBox[{"0.5", "d2"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"vz", "=", 
    FractionBox[
     RowBox[{"prutok", "*", 
      SuperscriptBox["10", 
       RowBox[{"-", "3"}]]}], 
     RowBox[{"Pi", "*", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["r2", "2"], "-", 
        SuperscriptBox["r1", "2"]}], ")"}]}]]}], ";", 
   RowBox[{"(*", 
    RowBox[{
    "vypocet", " ", "rychlosti", " ", "jako", " ", "pri", " ", "pistovem", 
     " ", "proudeni"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"plgamma", "=", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"gamma", "[", "T", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"T", ",", "0", ",", "110"}], "}"}], ",", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
        "\"\<T [\[Degree]C]\>\"", ",", 
         "\"\<\[Gamma] [\!\(\*FractionBox[\(S\), \(m\)]\)]\>\""}], "}"}]}], 
      ",", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Thick", ",", 
         RowBox[{"Hue", "[", "0.63", "]"}]}], "}"}]}], ",", 
      RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
      RowBox[{"AxesOrigin", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}]}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"abych", " ", "neudelal", " ", "chybu"}], ",", " ", 
    RowBox[{
    "udelam", " ", "FK", " ", "rovnici", " ", "pomoci", " ", "nabla", " ", 
     "a", " ", "vektoru", " ", "a", " ", "vyjadreni", " ", "necham", " ", 
     "na", " ", "Mathematice"}]}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"vvect", "=", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "vz"}], "}"}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"zde", " ", "zacina", " ", "zjednoduseni"}], ",", " ", 
    RowBox[{
    "beru", " ", "dokonale", " ", "michani", " ", "ve", " ", "smeru", " ", 
     "kolmem", " ", "na", " ", "smer", " ", "proudeni", " ", "vody"}], ",", 
    " ", 
    RowBox[{
    "tedy", " ", "teplota", " ", "a", " ", "vodivost", " ", "se", " ", "meni",
      " ", "jen", " ", "ve", " ", "smeru", " ", "proudeni"}], ",", " ", 
    RowBox[{
     RowBox[{"jinak", " ", "by", " ", "bylo", " ", "spravneji", " ", 
      RowBox[{"Div", "[", 
       RowBox[{
        RowBox[{"\[Gamma]", "[", 
         RowBox[{"r", ",", "z"}], "]"}], "*", 
        RowBox[{"Grad", "[", 
         RowBox[{"\[CurlyPhi]", "[", 
          RowBox[{"r", ",", "z"}], "]"}], "]"}]}], "]"}]}], "\[Equal]", 
     RowBox[{"0", " ", "a", " ", "soustava", " ", "rovnic"}]}], ",", " ", 
    RowBox[{"ale", " ", "pro", " ", "odhad", " ", "to", " ", "staci"}]}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"rpole", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"Div", "[", 
        RowBox[{"Grad", "[", 
         RowBox[{"\[CurlyPhi]", "[", "r", "]"}], "]"}], "]"}], "\[Equal]", 
       "0"}], ",", 
      RowBox[{
       RowBox[{"\[CurlyPhi]", "[", "r1", "]"}], "\[Equal]", "0"}], ",", 
      RowBox[{
       RowBox[{"\[CurlyPhi]", "[", "r2", "]"}], "\[Equal]", "u"}]}], "}"}]}], 
   ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"ano", ",", " ", 
    RowBox[{"analyticky", " ", "je", " ", "to", " ", "jasne"}], ",", " ", 
    RowBox[{
    "ale", " ", "tady", " ", "reknu", " ", "si", " ", "rovnou", " ", "i", " ",
      "o", " ", "derivaci"}]}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"resfi", "=", 
   RowBox[{
    RowBox[{"NDSolve", "[", 
     RowBox[{"rpole", ",", 
      RowBox[{"{", 
       RowBox[{"\[CurlyPhi]", ",", 
        RowBox[{"\[CurlyPhi]", "'"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"r", ",", "r1", ",", "r2"}], "}"}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plfi", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"\[CurlyPhi]", "[", "r", "]"}], "/.", "resfi"}], ",", 
     RowBox[{"{", 
      RowBox[{"r", ",", "r1", ",", "r2"}], "}"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<r [m]\>\"", ",", "\"\<\[CurlyPhi] [V]\>\""}], "}"}]}], 
     ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Thick", ",", 
        RowBox[{"Hue", "[", "0.63", "]"}]}], "}"}]}], ",", 
     RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0"}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"ecko", "[", "r_", "]"}], "=", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{
       RowBox[{"\[CurlyPhi]", "'"}], "[", "r", "]"}]}], "/.", "resfi"}]}], 
   ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
     "mam", " ", "ecko", " ", "a", " ", "ted", " ", "se", " ", "udela", " ", 
      "trik", " ", "s", " ", "uvazenim", " ", "zmineneho", " ", 
      RowBox[{"michani", ":", " ", 
       RowBox[{
       "udelam", " ", "trik", " ", "podobne", " ", "jako", " ", "pri", " ", 
        "1", "D", " ", "tepelnem", " ", "poli", " ", "v", " ", 
        RowBox[{"tyci", ".", " ", "Nevezmu"}], " ", "Qv"}]}]}], "=", 
     RowBox[{"\[Gamma]", "*", 
      SuperscriptBox["E", "2"]}]}], ",", " ", 
    RowBox[{
    "to", " ", "by", " ", "zaviselo", " ", "na", " ", "polomeru", " ", "a", 
     " ", "ja", " ", "chci", " ", "difosku", " ", "obycejnou", " ", "pro", 
     " ", "vyvoj", " ", "teploty", " ", "v", " ", "z"}], ",", " ", 
    RowBox[{"tedy", " ", "ve", " ", "smeru", " ", "proudeni", " ", 
     RowBox[{"vody", ".", " ", "Qv"}], " ", "je", " ", "tedy", " ", 
     "\"\<svindl michane Qv\>\""}], ",", " ", 
    RowBox[{
    "predstavim", " ", "si", " ", "platek", " ", "tloustky", " ", "dz"}], ",",
     " ", 
    RowBox[{"vykon", " ", "v", " ", "nem", " ", "je", " ", "dz", "*", 
     RowBox[{"\[Gamma]", "[", "z", "]"}], "*", 
     RowBox[{
      SubsuperscriptBox["\[Integral]", 
       RowBox[{"r", "=", "r1"}], "r2"], 
      RowBox[{"2", "*", "\[Pi]", "*", "r", "*", 
       SuperscriptBox[
        RowBox[{"E", "[", "r", "]"}], "2"], 
       RowBox[{"\[DifferentialD]", "r"}], "  ", "a", " ", "jeho", " ", 
       "objem", " ", "je", " ", "dz", "*", "\[Pi]", "*", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["r2", "2"], "-", 
         SuperscriptBox["r1", "2"]}], ")"}], " ", "a", " ", "kdyz", " ", "to",
        " ", "podelim"}]}]}], ",", " ", 
    RowBox[{
    "dostanu", " ", "stredni", " ", "hodnotu", " ", "objemove", " ", 
     "hustotuy", " ", "vykonu", " ", "pres", " ", "prurez", " ", "vody"}]}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"int", "=", 
   RowBox[{"NIntegrate", "[", 
    RowBox[{
     RowBox[{"2", "*", "Pi", "*", "r", "*", 
      SuperscriptBox[
       RowBox[{"ecko", "[", "r", "]"}], "2"]}], ",", 
     RowBox[{"{", 
      RowBox[{"r", ",", "r1", ",", "r2"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Qv", "=", 
   FractionBox[
    RowBox[{
     RowBox[{"gamma", "[", 
      RowBox[{"T", "[", "z", "]"}], "]"}], "*", "int"}], 
    RowBox[{"Pi", "*", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["r2", "2"], "-", 
       SuperscriptBox["r1", "2"]}], ")"}]}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fourKirch", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"\[Rho]", "*", "c", "*", 
       RowBox[{"Dot", "[", 
        RowBox[{"vvect", ",", 
         RowBox[{"Grad", "[", 
          RowBox[{"T", "[", "z", "]"}], "]"}]}], "]"}]}], "\[Equal]", "Qv"}], 
     ",", 
     RowBox[{
      RowBox[{"T", "[", "0", "]"}], "\[Equal]", "Tin"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"zmax", "=", "4"}], ";", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"promenna", " ", "majici", " ", "vyznam", " ", "jen"}], ",", " ", 
    RowBox[{
    "ze", " ", "NDSolve", " ", "musi", " ", "pocitat", " ", 
     "\"\<odnekud nekam\>\""}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"resT", "=", 
   RowBox[{
    RowBox[{"NDSolve", "[", 
     RowBox[{"fourKirch", ",", "T", ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "0", ",", "zmax"}], "}"}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plfi", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"T", "[", "z", "]"}], "/.", "resT"}], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", "0", ",", "zmax"}], "}"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<z [m]\>\"", ",", "\"\<T [\[Degree]C]\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Thick", ",", 
        RowBox[{"Hue", "[", "0.63", "]"}]}], "}"}]}], ",", 
     RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0"}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"msteckou", "=", 
   RowBox[{"\[Rho]", "*", "vz", "*", "Pi", "*", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["r2", "2"], "-", 
      SuperscriptBox["r1", "2"]}], ")"}]}]}], ";", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"jasne", ",", " ", 
     RowBox[{"slo", " ", "to", " ", "vzit", " ", "z", " ", "prutoku"}], ",", 
     " ", 
     RowBox[{
     "ale", " ", "kdyz", " ", "uz", " ", "jsem", " ", "to", " ", "napsal", 
      " ", "a", " ", "vychazi", " ", "to", " ", 
      RowBox[{"stejne", ":", "-"}]}]}], ")"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"vykonZ", "[", "z_", "]"}], ":=", 
   RowBox[{
    RowBox[{"c", "*", "msteckou", "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"T", "[", "z", "]"}], "-", "Tin"}], ")"}]}], "/.", "resT"}]}], 
  ";", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "abych", " ", "nemusel", " ", "pocitat", " ", "vykon", " ", "z", " ", 
     "elektrickych", " ", "velicin", " ", "a", " ", "integrovat"}], ",", " ", 
    RowBox[{
    "vypoctu", " ", "si", " ", "ho", " ", "z", " ", "ohrati", " ", "vody"}], 
    ",", " ", 
    RowBox[{
    "funkce", " ", "l", " ", "mi", " ", "vraci", " ", "hodnotu", " ", 
     "souradnice", " ", "z", " ", "ve", " ", "ktere", " ", "jsme", " ", 
     "dosahli", " ", "pozadovane", " ", "pomerne", " ", "hodnoty", " ", 
     "vykonu"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"l", "[", "k_", "]"}], ":=", 
   RowBox[{"FindRoot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"vykonZ", "[", "z", "]"}], "\[Equal]", 
      RowBox[{"k", "*", "vykon"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", "0.1"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dosDelky", "=", 
   RowBox[{"l", "/@", 
    RowBox[{"{", 
     RowBox[{"0", ",", 
      FractionBox["1", "3"], ",", 
      FractionBox["2", "3"], ",", "1"}], "}"}]}]}], ";", " ", 
  RowBox[{"(*", 
   RowBox[{
   "pro", " ", "rovnomerne", " ", "rozdeleni", " ", "vykonu", " ", "na", " ", 
    "tri", " ", "faze"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"teploty", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"T", "[", "z", "]"}], "/.", "resT"}], "/.", "dosDelky"}]}], ";", 
  RowBox[{"(*", 
   RowBox[{
   "kontrola", " ", "teplot", " ", "na", " ", "vstupu", " ", "a", " ", 
    "konci", " ", "jednotlivych", " ", "useku"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<d1= \>\"", ",", "d1", ",", "\"\<  d2= \>\"", ",", "d2", ",", 
    "\"\< m   QV= \>\"", ",", "prutok", ",", "\"\< l/s  U= \>\"", ",", "Unom",
     ",", "\"\< kV, vykon= \>\"", ",", 
    FractionBox["vykon", 
     SuperscriptBox["10", "6"]], ",", "\"\< MW\>\""}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<vz= \>\"", ",", "vz", ",", 
    "\"\<  m.\!\(\*SuperscriptBox[\(s\), \(-1\)]\),  \[Gamma][T]= \>\"", ",", 
    RowBox[{"gamma", "[", "\"\<T\>\"", "]"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<\!\(\*FractionBox[\(\[Gamma][100  \[Degree]C]\), \(\[Gamma][200  \
\[Degree]C]\)]\)= \>\"", ",", "pMB"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<teploty na vstupu a koncich fazovych elektrod:  \>\"", ",", "teploty", 
   ",", "\"\<  \[Degree]C\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"delkyElektrod", "=", 
   RowBox[{
    RowBox[{"Partition", "[", 
     RowBox[{
      RowBox[{"z", "/.", "dosDelky"}], ",", "2", ",", "1"}], "]"}], "/.", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a_", ",", "b_"}], "}"}], "\[RuleDelayed]", 
     RowBox[{"b", "-", "a"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<delky fazovych elektrod: \>\"", ",", "delkyElektrod"}], "]"}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"datny", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"50", ",", "0.553"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"60", ",", "0.475"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"80", ",", "0.365"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"90", ",", "0.326"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"100", ",", "0.294"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ny", "[", "T_", "]"}], "=", 
   RowBox[{
    SuperscriptBox["10", 
     RowBox[{"-", "6"}]], 
    RowBox[{"Fit", "[", 
     RowBox[{"datny", ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "T", ",", 
        SuperscriptBox["T", "2"]}], "}"}], ",", "T"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Dchar", "=", 
   FractionBox[
    RowBox[{"4", "*", "Pi", "*", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["r2", "2"], "-", 
       SuperscriptBox["r1", "2"]}], ")"}]}], 
    RowBox[{"2", "*", "Pi", "*", 
     RowBox[{"(", 
      RowBox[{"r1", "+", "r2"}], ")"}]}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"re", "[", "T_", "]"}], ":=", 
   FractionBox[
    RowBox[{"vz", "*", "Dchar"}], 
    RowBox[{"ny", "[", "T", "]"}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Print", "[", 
    RowBox[{
    "\"\<Reynoldsova cisla na vstupu a konci jednotlivych useku:  \>\"", ",", 
     RowBox[{"re", "/@", "teploty"}], ",", "\"\<  -\>\""}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<proudove hustoty na vstupu a konci jednotlivych useku na vnitrni \
elektrode: \>\"", ",", 
   RowBox[{
    SuperscriptBox["cm", "2"], "*", 
    RowBox[{"Abs", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"ecko", "[", "r1", "]"}], "*", 
        RowBox[{"gamma", "[", "#", "]"}]}], "&"}], "/@", "teploty"}], "]"}]}],
    ",", "\"\<  \!\(\*FractionBox[\(A\), SuperscriptBox[\(cm\), \
\(2\)]]\)\>\""}], "]"}]}], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.538919364140625*^9, 3.538919386171875*^9}, {
   3.538919511953125*^9, 3.53891968725*^9}, 3.538921923390625*^9, {
   3.538922003484375*^9, 3.538922303703125*^9}, {3.538922353734375*^9, 
   3.538922409328125*^9}, {3.538922463140625*^9, 3.538922634640625*^9}, {
   3.5389226716875*^9, 3.538922688375*^9}, {3.5389227485625*^9, 
   3.53892275346875*^9}, {3.538922792875*^9, 3.538922827921875*^9}, {
   3.53892376353125*^9, 3.538923783546875*^9}, 3.53892481078125*^9, {
   3.53892535146875*^9, 3.538925425359375*^9}, {3.538925570734375*^9, 
   3.5389257715*^9}, {3.538926411125*^9, 3.538926553*^9}, {
   3.538926614828125*^9, 3.5389266191875*^9}, 3.538926701796875*^9, {
   3.538926757578125*^9, 3.538926783234375*^9}, {3.53892682590625*^9, 
   3.538926888859375*^9}, {3.53892720896875*^9, 3.53892721453125*^9}, {
   3.538968582984375*^9, 3.538968583828125*^9}, {3.538968646515625*^9, 
   3.53896875340625*^9}, {3.53896879046875*^9, 3.5389687939375*^9}, {
   3.538968824640625*^9, 3.538969084234375*^9}, {3.53896913153125*^9, 
   3.538969797875*^9}, {3.5389698361875*^9, 3.5389698738125*^9}, {
   3.538969933046875*^9, 3.538970163546875*^9}, {3.538970232984375*^9, 
   3.538970233375*^9}, {3.538970280671875*^9, 3.538970303078125*^9}, {
   3.538973293796875*^9, 3.538973629546875*^9}, 3.538973921421875*^9, 
   3.539420771921875*^9, {3.53942100675*^9, 3.5394210070625*^9}, 
   3.539421239671875*^9, {3.5394214294375*^9, 3.539421592390625*^9}, {
   3.53942164575*^9, 3.539421668796875*^9}, {3.539421703640625*^9, 
   3.53942170440625*^9}, {3.539421746859375*^9, 3.539421789390625*^9}, {
   3.539421853625*^9, 3.539421887828125*^9}, 3.539422502703125*^9, {
   3.53942255796875*^9, 3.539422583640625*^9}, 3.5394226176875*^9, {
   3.53942376809375*^9, 3.539423778203125*^9}, {3.539424390328125*^9, 
   3.539424422140625*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{"Export", "[", 
    RowBox[{"\"\<gamma.png\>\"", ",", "plgamma", ",", 
     RowBox[{"ImageResolution", "\[Rule]", "300"}]}], "]"}], ";"}], 
  "*)"}]], "Input",
 CellChangeTimes->{{3.539421040015625*^9, 3.539421065515625*^9}, 
   3.539421687734375*^9}]
},
WindowSize->{1168, 759},
WindowMargins->{{4, Automatic}, {Automatic, 9}},
Magnification->1.6000001430511475`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 856, 23, 215, "Input"],
Cell[1404, 45, 1075, 37, 218, "Input"],
Cell[2482, 84, 1496, 43, 235, "Input"],
Cell[3981, 129, 18798, 507, 2316, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[22782, 638, 303, 8, 46, "Input"]
}
]
*)

(* End of internal cache information *)
