(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     20937,        602]
NotebookOptionsPosition[     20544,        585]
NotebookOutlinePosition[     20945,        602]
CellTagsIndexPosition[     20902,        599]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"$HistoryLength", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.536987500765625*^9, 3.53698752534375*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox["\[IndentingNewLine]",
   FontColor->GrayLevel[0]], 
  RowBox[{
   RowBox[{
    RowBox[{"sh", "=", 
     RowBox[{"-", "2.5"}]}], ";"}], 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "posuv", " ", "spotreby", " ", "vuci", " ", "slunecnimu", " ", 
      "vykonu"}], ",", " ", 
     RowBox[{"v", " ", "radianech"}]}], "*)"}], 
   StyleBox["\[IndentingNewLine]",
    FontColor->GrayLevel[0]], 
   RowBox[{
    RowBox[{"tmax", "=", 
     RowBox[{"20", "*", "den"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"kdni", "=", "2"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mAku", "=", 
     RowBox[{"45", "*", 
      SuperscriptBox["10", "3"]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Skolektor", "=", "580"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Eta]Kolektor", "=", "0.7"}], ";"}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"cp", "=", "1860"}], ";"}],
    FontColor->GrayLevel[0]], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"kVypinam", "=", "10"}], ";"}], 
   StyleBox["\[IndentingNewLine]",
    FontColor->GrayLevel[0]], 
   RowBox[{
    RowBox[{"hodina", "=", "3600"}], ";"}], 
   StyleBox["\[IndentingNewLine]",
    FontColor->GrayLevel[0]], 
   StyleBox[
    RowBox[{
     RowBox[{"den", "=", 
      RowBox[{"24", "*", "hodina"}]}], ";"}],
    FontColor->GrayLevel[0]], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Pmax", "=", "75000"}], ";"}], 
   StyleBox["\[IndentingNewLine]",
    FontColor->GrayLevel[0]], 
   StyleBox[
    RowBox[{
     RowBox[{"k", "=", "0.2"}], ";"}],
    FontColor->GrayLevel[0]], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"p0", "=", 
      RowBox[{"1000", "*", 
       FractionBox["1", 
        RowBox[{"1", "+", "k"}]], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Sin", "[", 
          RowBox[{
           FractionBox[
            RowBox[{"2", "*", "Pi", "*", "t"}], "den"], "+", "sh"}], "]"}], 
         "+", "k"}], ")"}], "*", "0.5", "*", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"Tanh", "[", 
          RowBox[{"50", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Sin", "[", 
              RowBox[{
               FractionBox[
                RowBox[{"2", "*", "Pi", "*", "t"}], "den"], "+", "sh"}], 
              "]"}], "+", "k"}], ")"}]}], "]"}]}], ")"}]}]}], ";"}],
    FontColor->GrayLevel[0]], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     StyleBox["To",
      FontColor->GrayLevel[0]], 
     StyleBox["=",
      FontColor->GrayLevel[0]], 
     RowBox[{
      StyleBox["30",
       FontColor->GrayLevel[0]], 
      StyleBox["+",
       FontColor->GrayLevel[0]], 
      RowBox[{
       StyleBox["15",
        FontColor->GrayLevel[0]], 
       StyleBox["*",
        FontColor->GrayLevel[0]], 
       RowBox[{
        StyleBox["Sin",
         FontColor->GrayLevel[0]], 
        StyleBox["[",
         FontColor->GrayLevel[0]], 
        RowBox[{
         FractionBox[
          RowBox[{"2", "*", "Pi", "*", "t"}], "den"], "+", "sh"}], 
        StyleBox["]",
         FontColor->GrayLevel[0]]}]}]}]}], 
    StyleBox[";",
     FontColor->GrayLevel[0]]}], "\[IndentingNewLine]", "\n", 
   RowBox[{
    RowBox[{"datSpotreba", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0.3"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"5", ",", "0.3"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"6", ",", "0.3"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"8", ",", "0.5"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"9", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"10", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"11", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"12", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"13", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"14", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"16", ",", ".5"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"18", ",", "0.5"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"19", ",", "0.5"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"20", ",", "0.5"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"21", ",", "0.5"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"22", ",", "0.5"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"23", ",", "0.3"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"24", ",", "0.3"}], "}"}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"f1Per", "=", 
     RowBox[{"Interpolation", "[", 
      RowBox[{"datSpotreba", ",", 
       RowBox[{"InterpolationOrder", "\[Rule]", "1"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ClearAll", "[", "fPer", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"fPer", "[", "t_", "]"}], ":=", 
     RowBox[{
      RowBox[{"f1Per", "[", "t", "]"}], "/;", 
      RowBox[{"0", "\[LessEqual]", "t", "<", "24"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"fPer", "[", "t_", "]"}], ":=", 
     RowBox[{
      RowBox[{"fPer", "[", 
       RowBox[{"t", "-", "24"}], "]"}], "/;", 
      RowBox[{"24", "\[LessEqual]", "t"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"fPer", "[", "t_", "]"}], ":=", 
     RowBox[{
      RowBox[{"fPer", "[", 
       RowBox[{"t", "+", "24"}], "]"}], "/;", 
      RowBox[{"t", "<", "0"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"fPer", "[", "t", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", 
        RowBox[{"-", "50"}], ",", "50"}], "}"}]}], "]"}], ";"}], "\n", 
   RowBox[{
    RowBox[{"fSpotr", ":=", 
     RowBox[{
      RowBox[{"fPer", "[", 
       FractionBox["#", "hodina"], "]"}], "&"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"dat", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"{", " ", 
        RowBox[{"#", ",", 
         RowBox[{"Pmax", "*", 
          RowBox[{"fSpotr", "@", "#"}]}]}], "}"}], "&"}], "/@", 
      RowBox[{"Range", "[", 
       RowBox[{"0", ",", 
        RowBox[{"1.5", "tmax"}], ",", "hodina"}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"spotreba", "=", 
     RowBox[{"Interpolation", "[", 
      RowBox[{"dat", ",", 
       RowBox[{"InterpolationOrder", "\[Rule]", "0"}]}], "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"plVse", "=", 
     RowBox[{
      StyleBox["Plot",
       FontColor->GrayLevel[0]], 
      StyleBox["[",
       FontColor->GrayLevel[0]], 
      RowBox[{
       RowBox[{
        StyleBox["{",
         FontColor->GrayLevel[0]], 
        RowBox[{
         StyleBox["To",
          FontColor->GrayLevel[0]], 
         StyleBox[",",
          FontColor->GrayLevel[0]], 
         FractionBox[
          StyleBox["p0",
           FontColor->GrayLevel[0]], "100"], ",", 
         FractionBox[
          RowBox[{
           StyleBox["spotreba",
            FontColor->GrayLevel[0]], "[", "t", "]"}], "1000"]}], 
        StyleBox["}",
         FontColor->GrayLevel[0]]}], 
       StyleBox[",",
        FontColor->GrayLevel[0]], 
       StyleBox[
        RowBox[{"{", 
         RowBox[{"t", ",", 
          RowBox[{"tmax", "-", 
           RowBox[{"kdni", "*", "den"}]}], ",", "tmax"}], "}"}],
        FontColor->GrayLevel[0]], 
       StyleBox[",",
        FontColor->GrayLevel[0]], 
       RowBox[{
        StyleBox["AxesLabel",
         FontColor->GrayLevel[0]], 
        StyleBox["\[Rule]",
         FontColor->GrayLevel[0]], 
        RowBox[{"{", 
         RowBox[{"\"\<t [s]\>\"", ",", "\"\<\!\(\*
StyleBox[\"To\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\" \",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"[\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"\[Degree]C\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"]\",
FontColor->RGBColor[1, 0, 0]]\)  \!\(\*
StyleBox[FractionBox[\"p0\", \"100\"],
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\" \",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"[\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"W\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"]\",
FontColor->RGBColor[0, 0, 1]]\), P [kW]\>\""}], "}"}]}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"Evaluate", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"{", 
            RowBox[{"Thick", ",", "#"}], "}"}], "&"}], "/@", 
          RowBox[{"{", 
           RowBox[{"Red", ",", "Blue", ",", "Black"}], "}"}]}], "]"}]}], ",", 
       RowBox[{"GridLines", "\[Rule]", "Automatic"}]}], "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"\[Eta]TD", "=", "0.8"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[CapitalDelta]Tkondenzator", "=", "10"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[CapitalDelta]Tparogenerator", "=", "10"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TmaxPara", "=", "280"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TminOlej", "=", "150"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ucinnost", "[", 
      RowBox[{"Tolej_", ",", "Tokoli_"}], "]"}], ":=", 
     RowBox[{"\[Eta]TD", "*", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        SuperscriptBox[
         RowBox[{"(", 
          FractionBox[
           RowBox[{
           "Tolej", "-", "\[CapitalDelta]Tparogenerator", "+", "273"}], 
           RowBox[{
           "Tokoli", "+", "\[CapitalDelta]Tkondenzator", "+", "273"}]], ")"}], 
         RowBox[{"-", "1"}]]}], ")"}]}]}], ";"}], 
   RowBox[{"(*", 
    RowBox[{"T", " ", "teplota", " ", "zdroje", " ", "tepla"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pleta", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"ucinnost", "[", 
        RowBox[{"T", ",", "40"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"T", ",", "150", ",", 
         RowBox[{"TmaxPara", "+", "\[CapitalDelta]Tparogenerator"}]}], "}"}], 
       ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<Tolej [\[Degree]C]\>\"", ",", "\"\<\[Eta] [-]\>\""}], 
         "}"}]}], ",", 
       RowBox[{"AxesOrigin", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"150", ",", "0"}], "}"}]}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
       RowBox[{"GridLines", "\[Rule]", "Automatic"}]}], "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"Pslunce", "[", "T_", "]"}], ":=", 
     RowBox[{
      RowBox[{"-", "p0"}], "*", "Skolektor", "*", "\[Eta]Kolektor", "*", 
      "0.5", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Tanh", "[", 
         FractionBox[
          RowBox[{
          "T", "-", "TmaxPara", "-", "\[CapitalDelta]Tparogenerator"}], "2"], 
         "]"}], "-", "1"}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Pven", "=", 
     FractionBox[
      RowBox[{
       RowBox[{"spotreba", "[", "t", "]"}], "*", "0.5", "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Tanh", "[", 
          RowBox[{"kVypinam", "*", 
           FractionBox[
            RowBox[{
             RowBox[{"T", "[", "t", "]"}], "-", "TminOlej"}], "2"]}], "]"}], 
         "+", "1"}], ")"}]}], 
      RowBox[{"ucinnost", "[", 
       RowBox[{
        RowBox[{"T", "[", "t", "]"}], ",", "To"}], "]"}]]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"res", "=", 
     RowBox[{
      RowBox[{"NDSolve", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"mAku", "*", "cp", "*", 
            RowBox[{
             RowBox[{"T", "'"}], "[", "t", "]"}]}], "\[Equal]", 
           RowBox[{
            RowBox[{"Pslunce", "[", 
             RowBox[{"T", "[", "t", "]"}], "]"}], "-", "Pven"}]}], ",", 
          RowBox[{
           RowBox[{"T", "[", "0", "]"}], "==", "TmaxPara"}]}], "}"}], ",", 
        RowBox[{"T", "[", "t", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
        RowBox[{"MaxSteps", "\[Rule]", 
         SuperscriptBox["10", "6"]}]}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"plTOlej", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"T", "[", "t", "]"}], "/.", "res"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", 
         RowBox[{"tmax", "-", 
          RowBox[{"kdni", "*", "den"}]}], ",", "tmax"}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Thick", ",", "Red"}], "}"}]}], ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<t [s]\>\"", ",", "\"\<Tolej [\[Degree]C]\>\""}], 
         "}"}]}], ",", 
       RowBox[{"AxesOrigin", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Automatic", ",", "0"}], "}"}]}], ",", 
       RowBox[{"GridLines", "\[Rule]", "Automatic"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"plPTepelny", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{
        FractionBox["Pven", "1000"], "/.", "res"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", 
         RowBox[{"tmax", "-", 
          RowBox[{"kdni", "*", "den"}]}], ",", "tmax"}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Thick", ",", "Red"}], "}"}]}], ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<t [s]\>\"", ",", "\"\<Ptepelny [kW]\>\""}], "}"}]}], 
       ",", 
       RowBox[{"AxesOrigin", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Automatic", ",", "0"}], "}"}]}], ",", 
       RowBox[{"GridLines", "\[Rule]", "Automatic"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"plPSlunce", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{
        FractionBox[
         RowBox[{"Pslunce", "[", 
          RowBox[{"T", "[", "t", "]"}], "]"}], "1000"], "/.", "res"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", 
         RowBox[{"tmax", "-", 
          RowBox[{"kdni", "*", "den"}]}], ",", "tmax"}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Thick", ",", "Red"}], "}"}]}], ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<t [s]\>\"", ",", "\"\<Pslunce [kW]\>\""}], "}"}]}], ",", 
       RowBox[{"AxesOrigin", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Automatic", ",", "0"}], "}"}]}], ",", 
       RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"plPel", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"Evaluate", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           FractionBox[
            RowBox[{
             RowBox[{"spotreba", "[", "t", "]"}], "*", "0.5", "*", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Tanh", "[", 
                RowBox[{"kVypinam", "*", 
                 FractionBox[
                  RowBox[{
                   RowBox[{"T", "[", "t", "]"}], "-", "TminOlej"}], "2"]}], 
                "]"}], "+", "1"}], ")"}]}], "1000"], ",", 
           FractionBox[
            RowBox[{"spotreba", "[", "t", "]"}], "1000"]}], "}"}], "/.", 
         "res"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", 
         RowBox[{"tmax", "-", 
          RowBox[{"kdni", "*", "den"}]}], ",", "tmax"}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"Thick", ",", "Red", ",", 
            RowBox[{"Opacity", "[", "0.5", "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"Thick", ",", "Blue", ",", 
            RowBox[{"Opacity", "[", "0.5", "]"}]}], "}"}]}], "}"}]}], ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<t [s]\>\"", ",", "\"\<Pel [kW]\>\""}], "}"}]}], ",", 
       RowBox[{"AxesOrigin", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Automatic", ",", "0"}], "}"}]}], ",", 
       RowBox[{"GridLines", "\[Rule]", "Automatic"}]}], "]"}]}], ";"}], "\n", 
   RowBox[{"{", 
    RowBox[{
    "pleta", ",", "plPel", ",", "plPSlunce", ",", "plPTepelny", ",", 
     "plTOlej", ",", "plVse"}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.542114683625*^9, 3.5421146978125*^9}, 
   3.54211484146875*^9, {3.54211488084375*^9, 3.542114888328125*^9}, {
   3.542116073203125*^9, 3.54211607953125*^9}, 3.542116139359375*^9, {
   3.542116361890625*^9, 3.542116378921875*^9}, {3.542116625828125*^9, 
   3.5421166353125*^9}, {3.542116668203125*^9, 3.542116696109375*^9}, {
   3.542116734171875*^9, 3.542116763765625*^9}, {3.542116797328125*^9, 
   3.542116808046875*^9}, {3.5421168659375*^9, 3.54211691209375*^9}, {
   3.5421169428125*^9, 3.542116967203125*^9}, {3.54211700109375*^9, 
   3.542117071609375*^9}, {3.542117101734375*^9, 3.542117130859375*^9}, {
   3.542117163640625*^9, 3.542117370328125*^9}, 3.5421174121875*^9, 
   3.542117566109375*^9, 3.542117602984375*^9, 3.5422569724375*^9, {
   3.542257025375*^9, 3.542257085015625*^9}, {3.542257140375*^9, 
   3.54225714484375*^9}, {3.5422572220625*^9, 3.5422572255625*^9}, 
   3.542259683171875*^9, {3.54225982659375*^9, 3.542259893484375*^9}, 
   3.54234300640625*^9, {3.542343058703125*^9, 3.54234307778125*^9}, {
   3.543032351609375*^9, 3.5430324055*^9}, {3.543032446578125*^9, 
   3.5430325503125*^9}, {3.5430326330625*^9, 3.5430328574375*^9}, {
   3.543032943046875*^9, 3.543033000203125*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{"ClearAll", "[", "exp", "]"}], ";", "\[IndentingNewLine]", 
   RowBox[{"SetAttributes", "[", 
    RowBox[{"exp", ",", 
     RowBox[{"{", 
      RowBox[{"HoldAll", ",", "Listable"}], "}"}]}], "]"}], ";", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"exp", "[", "co_", "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"a", ",", "graf"}], "}"}], ",", 
      RowBox[{
       RowBox[{"a", "=", 
        RowBox[{"ToString", "[", 
         RowBox[{"Unevaluated", "[", "co", "]"}], "]"}]}], ";", 
       RowBox[{"graf", ":=", 
        RowBox[{"Evaluate", "[", "co", "]"}]}], ";", 
       RowBox[{"Export", "[", 
        RowBox[{
         RowBox[{"Evaluate", "[", 
          RowBox[{"a", "<>", "\"\<.png\>\""}], "]"}], ",", "graf", ",", 
         RowBox[{"ImageResolution", "\[Rule]", "300"}]}], "]"}]}]}], "]"}]}], 
   ";", "\[IndentingNewLine]", 
   RowBox[{"exp", "[", 
    RowBox[{"{", 
     RowBox[{
     "pleta", ",", "plPel", ",", "plPSlunce", ",", "plPTepelny", ",", 
      "plTOlej", ",", "plVse"}], "}"}], "]"}], ";"}], "*)"}]], "Input",
 CellChangeTimes->{{3.542257238515625*^9, 3.542257242921875*^9}, {
   3.5422573421875*^9, 3.542257362515625*^9}, {3.54225743590625*^9, 
   3.542257445796875*^9}, {3.54225807928125*^9, 3.542258124046875*^9}, {
   3.54225815684375*^9, 3.54225817171875*^9}, {3.542258264390625*^9, 
   3.542258322375*^9}, {3.54225839503125*^9, 3.54225840053125*^9}, {
   3.542258436953125*^9, 3.542258514890625*^9}, {3.542258565328125*^9, 
   3.54225858321875*^9}, {3.542258679015625*^9, 3.542258723484375*^9}, {
   3.542258786109375*^9, 3.54225879028125*^9}, {3.542258861890625*^9, 
   3.54225886528125*^9}, {3.542259365078125*^9, 3.5422593704375*^9}, {
   3.5422594265625*^9, 3.542259493484375*^9}, {3.542259530046875*^9, 
   3.542259533578125*^9}, 3.542259670515625*^9, 3.542342986078125*^9, 
   3.54303209409375*^9}]
},
WindowSize->{1055, 743},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
Magnification->1.4000000953674316`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 271, 6, 67, "Input"],
Cell[819, 28, 17778, 510, 1893, "Input"],
Cell[18600, 540, 1940, 43, 142, "Input"]
}
]
*)

(* End of internal cache information *)
