(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      8248,        256]
NotebookOptionsPosition[      7914,        241]
NotebookOutlinePosition[      8295,        257]
CellTagsIndexPosition[      8252,        254]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"L", "=", ".2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"r1", "=", "0.4"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"r3", "=", "0.4"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"r2", "=", "L"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"x1", "=", 
   RowBox[{"r1", "*", 
    RowBox[{"Cos", "[", "fi", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"y1", "=", 
   RowBox[{"r1", "*", 
    RowBox[{"Sin", "[", "fi", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"x3", "=", "L"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"y3", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rce1", "=", 
   RowBox[{"{", 
    RowBox[{
     SuperscriptBox["r2", "2"], "\[Equal]", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"x2", "-", "x1"}], ")"}], "2"], "+", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"y2", "-", "y1"}], ")"}], "2"]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rce2", "=", 
   RowBox[{"{", 
    RowBox[{
     SuperscriptBox["r3", "2"], "\[Equal]", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"x3", "-", "x2"}], ")"}], "2"], "+", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"y3", "-", "y2"}], ")"}], "2"]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rceDohr", "=", 
   RowBox[{"Union", "[", 
    RowBox[{"rce1", ",", "rce2"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nezname", "=", 
   RowBox[{"{", 
    RowBox[{"x2", ",", "y2"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"respom", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{"rceDohr", ",", "nezname"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"res", "=", 
   RowBox[{"Thread", "[", 
    RowBox[{"nezname", "->", 
     RowBox[{"Mean", "[", 
      RowBox[{"nezname", "/.", "respom"}], "]"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"res", "=", 
   RowBox[{"respom", "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"iks2", "=", 
   RowBox[{"x2", "/.", "res"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ypsilon2", "=", 
   RowBox[{"y2", "/.", "res"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{"ypsilon2", ",", 
    RowBox[{"{", 
     RowBox[{"fi", ",", 
      RowBox[{
       RowBox[{"-", "2"}], "Pi"}], ",", 
      RowBox[{"2", "Pi"}]}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.479798992375*^9, 3.479799025703125*^9}, {
  3.47979905746875*^9, 3.4797990890625*^9}, {3.4799921961280003`*^9, 
  3.4799923202790003`*^9}, {3.479992358175*^9, 3.479992385689*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"th", "=", "0.006"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"lines", "[", "fi_", "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Hue", "[", "0", "]"}], ",", 
        RowBox[{"Thickness", "[", "th", "]"}], ",", 
        RowBox[{"Line", "[", "#", "]"}]}], "}"}], "]"}], "&"}], "/@", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"x1", ",", "y1"}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"x1", ",", "y1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"iks2", ",", "ypsilon2"}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"iks2", ",", "ypsilon2"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"L", ",", "0"}], "}"}]}], "}"}]}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"pts", "[", "fi_", "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", 
         RowBox[{"0.02", "+", 
          RowBox[{"0.00", 
           RowBox[{"Sin", "[", "fi", "]"}]}]}], "]"}], ",", "Black", ",", 
        RowBox[{"Point", "[", "#", "]"}]}], "}"}], "]"}], "&"}], "/@", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"L", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"x1", ",", "y1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"iks2", ",", "ypsilon2"}], "}"}]}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kruhy", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Thickness", "[", 
         RowBox[{"0.5", "th"}], "]"}], ",", "Black", ",", 
        RowBox[{"Circle", "[", 
         RowBox[{"Sequence", "@@", "#"}], "]"}]}], "}"}], "]"}], "&"}], "/@", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}], ",", "r1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"L", ",", "0"}], "}"}], ",", "r3"}], "}"}]}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"grfs", "[", "fi_", "]"}], ":=", 
   RowBox[{"Union", "[", 
    RowBox[{
     RowBox[{"pts", "[", "fi", "]"}], ",", "kruhy", ",", 
     RowBox[{"{", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Hue", "[", "0.63", "]"}], ",", 
         RowBox[{"Thickness", "[", 
          RowBox[{"0.5", "th"}], "]"}], ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "0.1"}], ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"L", "+", "0.1"}], ",", "0"}], "}"}]}], "}"}], "]"}]}], 
        "}"}], "]"}], "}"}], ",", 
     RowBox[{"lines", "[", "fi", "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{"grfs", "[", "fi", "]"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"fi", ",", 
       RowBox[{"-", "0.6"}]}], "}"}], ",", 
     RowBox[{
      RowBox[{"-", "Pi"}], "+", "0.01"}], ",", 
     RowBox[{"Pi", "-", "0.01"}]}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.4796542210812907`*^9, 3.4796546001144905`*^9}, {
   3.479654634122491*^9, 3.4796546710632906`*^9}, {3.4796554540584908`*^9, 
   3.479655644976691*^9}, {3.479655695364691*^9, 3.479655720543091*^9}, {
   3.479655808839091*^9, 3.4796559899706907`*^9}, {3.479656031544691*^9, 
   3.4796560674558907`*^9}, {3.4796564987360907`*^9, 3.479656556471691*^9}, {
   3.4796565895280905`*^9, 3.479656594863291*^9}, {3.479656774169691*^9, 
   3.4796567757296906`*^9}, {3.47971967528125*^9, 3.47971968759375*^9}, {
   3.479719881046875*^9, 3.479719897140625*^9}, {3.4797199339375*^9, 
   3.479719936640625*^9}, {3.4797495969329*^9, 3.4797496313777*^9}, {
   3.4797496743557*^9, 3.4797496843865*^9}, 3.4797497226844997`*^9, {
   3.4797502689653*^9, 3.4797503295868998`*^9}, {3.4797503968721*^9, 
   3.4797504229865*^9}, {3.4797505040597*^9, 3.4797505383953*^9}, {
   3.4797505879252996`*^9, 3.4797505991573*^9}}]
},
WindowSize->{1376, 1101},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification->1.8000001907348633`,
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 2812, 87, 603, "Input"],
Cell[3360, 109, 4550, 130, 341, "Input"]
}
]
*)

(* End of internal cache information *)
