(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     23202,        713]
NotebookOptionsPosition[     22146,        679]
NotebookOutlinePosition[     22548,        696]
CellTagsIndexPosition[     22505,        693]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["\<\

Nastaveni defaultniho adresare usetri dost casu... a kazdy v Mathematice \
pripustny objekt si muzeme schovat o priponu a reprezentaci v pameti se \
nestarajice...\
\>", "Text",
 CellChangeTimes->{{3.51928232453125*^9, 3.519282352140625*^9}, {
  3.519282951421875*^9, 3.51928299440625*^9}}],

Cell[BoxData[{
 RowBox[{"SetDirectory", "[", 
  RowBox[{"NotebookDirectory", "[", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Integrate", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Sin", "[", 
       RowBox[{"I", "*", "x"}], "]"}], "*", 
      RowBox[{"Exp", "[", "x", "]"}]}], ",", "x"}], "]"}], ">>", 
   "\"\<int\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"int", "[", "x_", "]"}], "=", 
  RowBox[{"<<", "\"\<int\>\""}]}], "\[IndentingNewLine]", 
 RowBox[{"int", "[", 
  RowBox[{"I", "*", 
   FractionBox["Pi", "4"]}], "]"}]}], "Input",
 CellChangeTimes->{{3.519282355609375*^9, 3.519282469046875*^9}}],

Cell["\<\

Mathematice casto staci rict presne, co vlastne chceme a ona to udela... \
\>", "Text",
 CellChangeTimes->{{3.519282640984375*^9, 3.519282673296875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", "a", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", "n_", "]"}], ":=", 
   RowBox[{"n", "*", 
    RowBox[{"a", "[", 
     RowBox[{"n", "-", "1"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", "0", "]"}], ":=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a", "[", "6", "]"}], "\[Equal]", 
  RowBox[{"6", "!"}]}], "\[IndentingNewLine]", 
 RowBox[{"?", "a"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nmax", "=", 
   SuperscriptBox["10", "3"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$RecursionLimit", "=", 
   RowBox[{"Max", "[", 
    RowBox[{"256", ",", 
     RowBox[{"nmax", "+", "5"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<pro vypocet 0 az \>\"", ",", "nmax", ",", "\"\< to trvalo \>\"", ",", 
   RowBox[{
    RowBox[{"pom", "=", 
     RowBox[{"Timing", "[", 
      RowBox[{"a", "/@", 
       RowBox[{"Range", "[", "nmax", "]"}]}], "]"}]}], ";", 
    RowBox[{"pom", "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], ",", "\"\< s\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.5192827105*^9, 3.5192827708125*^9}, {3.519282858*^9, 
  3.519282860609375*^9}, {3.519283173109375*^9, 3.519283241453125*^9}, {
  3.519283287109375*^9, 3.519283315484375*^9}}],

Cell["\<\

Definice vyrazu se muze pri jeho pouzivani menit, napr. doplnovat...coz muze \
vyrazne zrychlit vypocty s vyuzitim optimalizace \"pamet kontra algoritmus\"\
\>", "Text",
 CellChangeTimes->{
  3.51928278209375*^9, {3.519282827296875*^9, 3.51928285253125*^9}, {
   3.519282887546875*^9, 3.519282934015625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", "a", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", "n_", "]"}], ":=", 
   RowBox[{
    RowBox[{"a", "[", "n", "]"}], "=", 
    RowBox[{"n", "*", 
     RowBox[{"a", "[", 
      RowBox[{"n", "-", "1"}], "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", "0", "]"}], ":=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a", "[", "6", "]"}], "\[Equal]", 
  RowBox[{"6", "!"}]}], "\[IndentingNewLine]", 
 RowBox[{"?", "a"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nmax", "=", 
   SuperscriptBox["10", "3"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<pro vypocet 0 az \>\"", ",", "nmax", ",", "\"\< to trvalo \>\"", ",", 
   RowBox[{
    RowBox[{"pom", "=", 
     RowBox[{"Timing", "[", 
      RowBox[{"a", "/@", 
       RowBox[{"Range", "[", "nmax", "]"}]}], "]"}]}], ";", 
    RowBox[{"pom", "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], ",", "\"\< s\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.51928287259375*^9, 3.519282880609375*^9}, {
  3.519283021234375*^9, 3.51928315409375*^9}}],

Cell["\<\

Funkce muze mit za parametr ledacos (kdo dokaze, aby to mohl byt Subscribe, \
ma u me pivko), vracet muze skoro cokoli...\
\>", "Text",
 CellChangeTimes->{{3.5192833465625*^9, 3.51928341259375*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", "f", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "hue_", "]"}], ":=", 
   RowBox[{"Graphics", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Hue", "[", "hue", "]"}], ",", 
      RowBox[{"Disk", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}], ",", "1", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Pi", "/", "4"}], ",", 
          RowBox[{"3", 
           RowBox[{"Pi", "/", "4"}]}]}], "}"}]}], "]"}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"f", "[", "hue", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"hue", ",", "0.5", ",", "\"\<hue\>\""}], "}"}], ",", "0", ",", 
     "1"}], "}"}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.5192834245*^9, 3.519283513296875*^9}, {
  3.519283543765625*^9, 3.5192835688125*^9}}],

Cell["\<\

Zasahy cloveka jsou nezadouci; to co pozaduje nejaky prikaz jako parametr, \
muzeme casto stvorit automaticky... ukazeme si to na Cases a FindFit....\
\>", "Text",
 CellChangeTimes->{3.51928363171875*^9, {3.519283676*^9, 3.51928374465625*^9}}
  ],

Cell[BoxData[{
 RowBox[{
  RowBox[{"SeedRandom", "[", "10042", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xBord", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dat", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"#", ",", 
       RowBox[{"1", "+", 
        RowBox[{"2", "#"}], "+", 
        RowBox[{"3", 
         SuperscriptBox["#", "2"], "*", 
         RowBox[{"Sin", "[", 
          RowBox[{"5", "#"}], "]"}]}], "+", 
        RowBox[{"Random", "[", 
         RowBox[{"Real", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "0.2"}], ",", "0.2"}], "}"}]}], "]"}]}]}], "}"}], 
     "&"}], "/@", 
    RowBox[{"Range", "[", 
     RowBox[{
      RowBox[{"-", "xBord"}], ",", "xBord", ",", "0.1"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pl1", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"dat", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<x\>\"", ",", "\"\<f [x]\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "0.015", "]"}], ",", "Magenta"}], "}"}]}]}],
     "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"v", ":=", 
   RowBox[{
    SubscriptBox["\[Alpha]", "#"], "&"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"model", "=", 
   RowBox[{
    RowBox[{"v", "[", "1", "]"}], "+", 
    RowBox[{
     RowBox[{"v", "[", "2", "]"}], "*", "x"}], "+", 
    RowBox[{
     RowBox[{"v", "[", "3", "]"}], "*", 
     SuperscriptBox["x", "2"], "*", 
     RowBox[{"Sin", "[", 
      RowBox[{
       RowBox[{"v", "[", "4", "]"}], "*", "x"}], "]"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"params", ":=", 
   RowBox[{
    RowBox[{"Union", "@", 
     RowBox[{"Cases", "[", 
      RowBox[{"#", ",", 
       SubscriptBox["\[Alpha]", "_"], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "\[Infinity]"}], "}"}]}], "]"}]}], "&"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vys", "=", 
   RowBox[{"model", "/.", 
    RowBox[{"FindFit", "[", 
     RowBox[{"dat", ",", "model", ",", 
      RowBox[{"params", "[", "model", "]"}], ",", "x"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pl2", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{"vys", ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "xBord"}], ",", "xBord"}], "}"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<x\>\"", ",", "\"\<f [x]\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Thickness", "[", "0.006", "]"}], ",", "Black"}], "}"}]}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"pl1", ",", "pl2"}], "]"}]}], "Input",
 CellChangeTimes->{{3.51928715621875*^9, 3.519287814953125*^9}, {
  3.51928793178125*^9, 3.51928795959375*^9}, {3.5194073360959997`*^9, 
  3.519407361227*^9}}],

Cell["\<\

...jelikoz je to dulezite, ukazeme si to jeste jednou. V elektrickych \
obvodech casto bereme pocatecni podminky ve forme nulovych proudu a napeti. \
Pro nejaky takovy obvod si ukazeme, jak optimalizovat programovani same \
(...vypocetni cas zpravidla mensi jest, nez doba programovani, je tedy treba \
optimalizovat oboje. Jiste, program bezi vicekrat, ergo doba behu ma roli \
opakujicich se nakladu a doba programovani roli zvahovanych investic... nebo \
neco v tom smyslu:-))
Ukazka pro \"mirne pokrocile\" samosebou neni optimalni. Celkem snadno lze \
pri prijeti umluv, jak budu znacit nezname a zdroje atd., napsat solver, \
ktery si jen vezme rovnice a pak sam udela o neco optimalneji to, co my \
ukazujeme. Ponechavame ctenari coby cviceni:-)\
\>", "Text",
 CellChangeTimes->{{3.519288269*^9, 3.519288471875*^9}, {3.5192896665*^9, 
  3.519289693625*^9}, {3.519289728890625*^9, 3.51928979134375*^9}, {
  3.5194076361870003`*^9, 3.5194077477019997`*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"uz", "=", 
     RowBox[{"1", "+", 
      RowBox[{"0.5", "*", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"5", "t"}], "+", "0.4"}], "]"}]}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Mu]F", "=", 
     SuperscriptBox["10", 
      RowBox[{"-", "6"}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"k", "=", "1000"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"R", "=", 
     RowBox[{"10", "k"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"c", "=", 
     RowBox[{"5", "\[Mu]F"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"L", "=", "0.1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rce", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"uz", "\[Equal]", 
        RowBox[{
         RowBox[{"R", "*", 
          RowBox[{"i", "[", "t", "]"}]}], "+", 
         RowBox[{"uc", "[", "t", "]"}], "+", 
         RowBox[{"L", "*", 
          RowBox[{
           RowBox[{"i", "'"}], "[", "t", "]"}]}]}]}], ",", 
       RowBox[{
        RowBox[{"i", "[", "t", "]"}], "\[Equal]", 
        RowBox[{"c", "*", 
         RowBox[{
          RowBox[{"uc", "'"}], "[", "t", "]"}]}]}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"nezname", "=", 
     RowBox[{"Cases", "[", 
      RowBox[{"rce", ",", 
       RowBox[{"_", "[", "t", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "\[Infinity]"}], "}"}]}], "]"}]}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"nezname", "=", 
     RowBox[{"Union", "@", 
      RowBox[{"Cases", "[", 
       RowBox[{"rce", ",", 
        RowBox[{"_Symbol", "[", "t", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "\[Infinity]"}], "}"}]}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"derNezn", "=", 
     RowBox[{"Union", "@", 
      RowBox[{"Cases", "[", 
       RowBox[{"rce", ",", 
        RowBox[{
         RowBox[{"_", "'"}], "[", "t", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "\[Infinity]"}], "}"}]}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pocs", "=", 
     RowBox[{"derNezn", "/.", 
      RowBox[{
       RowBox[{
        RowBox[{"x_", "'"}], "[", "t", "]"}], "\[RuleDelayed]", 
       RowBox[{
        RowBox[{"x", "[", "0", "]"}], "\[Equal]", "0"}]}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"tmax", "=", "2"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ki", "=", 
     SuperscriptBox["10", "4"]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"res", "=", 
     RowBox[{
      RowBox[{"NDSolve", "[", 
       RowBox[{
        RowBox[{"Union", "[", 
         RowBox[{"rce", ",", "pocs"}], "]"}], ",", "nezname", ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", "tmax"}], "}"}]}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"nezname", "*", 
        RowBox[{"{", 
         RowBox[{"ki", ",", "1"}], "}"}]}], "/.", "res"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<t [s]\>\"", ",", 
        RowBox[{"ToString", "[", 
         RowBox[{"nezname", "*", 
          RowBox[{"{", 
           RowBox[{"ki", ",", "1"}], "}"}]}], "]"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Thick"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{
  3.5192884809375*^9, {3.519288657328125*^9, 3.5192888240625*^9}, {
   3.519288875359375*^9, 3.519289057703125*^9}, {3.51928921928125*^9, 
   3.519289348984375*^9}, {3.519289397765625*^9, 3.519289511078125*^9}, 
   3.519289558234375*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"mirne", " ", "pokrocilejsi", " ", "zapis", " ", "tehoz"}], 
    "..."}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"vydej", ":=", 
     RowBox[{
      RowBox[{"Union", "@", 
       RowBox[{"Cases", "[", 
        RowBox[{"rce", ",", "#", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "\[Infinity]"}], "}"}]}], "]"}]}], "&"}]}], ";"}],
    "\[IndentingNewLine]", 
   RowBox[{"nezname", "=", 
    RowBox[{"vydej", "[", 
     RowBox[{"_Symbol", "[", "t", "]"}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"pocs", "=", 
    RowBox[{
     RowBox[{"vydej", "[", 
      RowBox[{
       RowBox[{"_", "'"}], "[", "t", "]"}], "]"}], "/.", 
     RowBox[{
      RowBox[{
       RowBox[{"x_", "'"}], "[", "t", "]"}], "\[RuleDelayed]", 
      RowBox[{
       RowBox[{"x", "[", "0", "]"}], "\[Equal]", "0"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"...", " ", "da", " ", "capo", " ", "al", " ", "fine"}], "..."}],
     "*)"}]}]}]], "Input",
 CellChangeTimes->{{3.519289085265625*^9, 3.51928920415625*^9}, {
  3.5192895320625*^9, 3.519289539828125*^9}, {3.519289803140625*^9, 
  3.51928980525*^9}, {3.5194082012869997`*^9, 3.51940821356*^9}}],

Cell["\<\
Praci s \"formaty promennych\" si ukazeme na Eulerove evolucni metode... a to \
jak na formatu parametru funkci, tak na formatu mezivypoctu...
\
\>", "Text",
 CellChangeTimes->{{3.519289890171875*^9, 3.5192899476875*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"poc", "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"tmax", "=", "3"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"n", "=", "2400"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[CapitalDelta]t", "=", 
     FractionBox["tmax", "n"]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dery", "[", 
      RowBox[{"{", 
       RowBox[{"t_", ",", "y_"}], "}"}], "]"}], ":=", 
     RowBox[{
      RowBox[{
       FractionBox[
        RowBox[{"-", "1"}], "10"], "t"}], "+", "y"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"EuStep", "[", 
      RowBox[{"p", ":", 
       RowBox[{"{", 
        RowBox[{"t_", ",", "y_"}], "}"}]}], "]"}], ":=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"t", "+", "\[CapitalDelta]t"}], ",", 
       RowBox[{"y", "+", 
        RowBox[{
         RowBox[{"dery", "[", "p", "]"}], "*", "\[CapitalDelta]t"}]}]}], 
      "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pom", "=", 
     RowBox[{"Timing", "[", 
      RowBox[{"NestList", "[", 
       RowBox[{"EuStep", ",", "poc", ",", "n"}], "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<trvalo to: \>\"", ",", 
     RowBox[{"pom", "[", 
      RowBox[{"[", "1", "]"}], "]"}], ",", "\"\< s\>\""}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ListPlot", "[", 
     RowBox[{
      RowBox[{"pom", "[", 
       RowBox[{"[", "2", "]"}], "]"}], ",", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"\"\<x\>\"", ",", "\"\<y [x]\>\""}], "}"}]}]}], "]"}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.5192900888125*^9, 3.519290240671875*^9}, {
  3.5192903034375*^9, 3.519290561953125*^9}, {3.519290740328125*^9, 
  3.51929077803125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"poc", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1."}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tmax", "=", "3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n", "=", "2400"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalDelta]t", "=", 
   FractionBox["tmax", "n"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dery", "[", 
    RowBox[{"{", 
     RowBox[{"t_", ",", "y_"}], "}"}], "]"}], ":=", 
   RowBox[{
    RowBox[{
     FractionBox[
      RowBox[{"-", "1"}], "10"], "t"}], "+", "y"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"EuStep", "[", 
    RowBox[{"p", ":", 
     RowBox[{"{", 
      RowBox[{"t_", ",", "y_"}], "}"}]}], "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"t", "+", "\[CapitalDelta]t"}], ",", 
     RowBox[{"y", "+", 
      RowBox[{
       RowBox[{"dery", "[", "p", "]"}], "*", "\[CapitalDelta]t"}]}]}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pom", "=", 
   RowBox[{"Timing", "[", 
    RowBox[{"NestList", "[", 
     RowBox[{"EuStep", ",", "poc", ",", "n"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<trvalo to: \>\"", ",", 
   RowBox[{"pom", "[", 
    RowBox[{"[", "1", "]"}], "]"}], ",", "\"\< s\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ListPlot", "[", 
   RowBox[{
    RowBox[{"pom", "[", 
     RowBox[{"[", "2", "]"}], "]"}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<x\>\"", ",", "\"\<y [x]\>\""}], "}"}]}]}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.5192907699375*^9, 3.51929078365625*^9}}],

Cell["\<\

...pochopili? Urcite pochopili! :-)
...pro Mathematicu neni zavazny postup vyuky na FEL, obcas se hodi pouzit \
\"neco pozdeji\" na \"neco drive\", ukazme si to na prikladu integral kontra \
reseni dif. dovnice...\
\>", "Text",
 CellChangeTimes->{
  3.519290807953125*^9, {3.51929084575*^9, 3.51929090559375*^9}, {
   3.5192911205*^9, 3.51929116478125*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ClearAll", "[", "fce", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SeedRandom", "[", "1", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"tmax", "=", "3"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fce", "=", 
     RowBox[{"Interpolation", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"#", ",", 
          RowBox[{"#", "+", 
           RowBox[{"Random", "[", "]"}]}]}], "}"}], "&"}], "/@", 
       RowBox[{"Range", "[", 
        RowBox[{"0", ",", "tmax", ",", 
         FractionBox["tmax", "500"]}], "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"int1", "=", 
    RowBox[{"NIntegrate", "[", 
     RowBox[{
      RowBox[{"fce", "[", "x", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "0", ",", "tmax"}], "}"}]}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{
  3.519291095734375*^9, {3.519291169875*^9, 3.51929129634375*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", "fce", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SeedRandom", "[", "1", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tmax", "=", "3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fce", "=", 
   RowBox[{"Interpolation", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"#", ",", 
        RowBox[{"#", "+", 
         RowBox[{"Random", "[", "]"}]}]}], "}"}], "&"}], "/@", 
     RowBox[{"Range", "[", 
      RowBox[{"0", ",", "tmax", ",", 
       FractionBox["tmax", "500"]}], "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"myInt", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"y", "/.", 
     RowBox[{
      RowBox[{"NDSolve", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"y", "'"}], "[", "t", "]"}], "\[Equal]", 
           RowBox[{"fce", "[", "t", "]"}]}], ",", 
          RowBox[{
           RowBox[{"y", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}], ",", "y",
         ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
        RowBox[{"MaxSteps", "\[Rule]", 
         SuperscriptBox["10", "8"]}], ",", 
        RowBox[{"MaxStepSize", "\[Rule]", 
         FractionBox["tmax", 
          SuperscriptBox["10", "5"]]}]}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "[", "tmax", "]"}]}]}], "Input",
 CellChangeTimes->{{3.51929130984375*^9, 3.519291510203125*^9}}],

Cell["\<\
?Riffle

?? @
  \[Rho]
  \"esc rho esc\"
  
  Sequence @@
   %1
  %%%
  packages
  module\
\>", "Text",
 CellChangeTimes->{{3.5194091784300003`*^9, 3.5194091868310003`*^9}, 
   3.519444374890625*^9}]
},
WindowSize->{1110, 868},
WindowMargins->{{8, Automatic}, {-1, Automatic}},
ShowSelection->True,
Magnification->1.8000001907348633`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 301, 7, 111, "Text"],
Cell[861, 29, 652, 18, 177, "Input"],
Cell[1516, 49, 164, 4, 81, "Text"],
Cell[1683, 55, 1351, 36, 310, "Input"],
Cell[3037, 93, 319, 7, 111, "Text"],
Cell[3359, 102, 1155, 32, 278, "Input"],
Cell[4517, 136, 209, 5, 81, "Text"],
Cell[4729, 143, 1015, 30, 117, "Input"],
Cell[5747, 175, 257, 6, 111, "Text"],
Cell[6007, 183, 2997, 92, 444, "Input"],
Cell[9007, 277, 973, 16, 263, "Text"],
Cell[9983, 295, 3872, 115, 567, "Input"],
Cell[13858, 412, 1267, 36, 181, "Input"],
Cell[15128, 450, 231, 5, 111, "Text"],
Cell[15362, 457, 1952, 59, 401, "Input"],
Cell[17317, 518, 1706, 55, 369, "Input"],
Cell[19026, 575, 368, 9, 142, "Text"],
Cell[19397, 586, 1014, 29, 242, "Input"],
Cell[20414, 617, 1516, 44, 328, "Input"],
Cell[21933, 663, 209, 14, 355, "Text"]
}
]
*)

(* End of internal cache information *)
